> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post enterprise authentication

> Create a authentication



## OpenAPI

````yaml /swagger.json post /enterprise/{organizationId}/authentication
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /enterprise/{organizationId}/authentication:
    post:
      tags:
        - enterprise
        - authentication
      description: Create a authentication
      parameters:
        - schema:
            type: string
          required: true
          name: resourceId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              oneOf:
                - type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - feishu
                    config:
                      type: object
                      properties:
                        appId:
                          type: string
                          minLength: 1
                        appSecret:
                          type: string
                          minLength: 1
                      required:
                        - appId
                        - appSecret
                    id:
                      type: string
                    name:
                      type: string
                  required:
                    - type
                    - config
                    - name
                - type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - oidc
                    config:
                      type: object
                      properties:
                        clientId:
                          type: string
                          minLength: 1
                        clientSecret:
                          type: string
                          minLength: 1
                        authorizationUrl:
                          type: string
                          format: uri
                        tokenUrl:
                          type: string
                          format: uri
                        userInfoUrl:
                          type: string
                          format: uri
                        issuer:
                          type: string
                          format: uri
                      required:
                        - clientId
                        - clientSecret
                        - authorizationUrl
                        - tokenUrl
                        - userInfoUrl
                        - issuer
                    id:
                      type: string
                    name:
                      type: string
                  required:
                    - type
                    - config
                    - name
      responses:
        '201':
          description: Successful created
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - feishu
                      config:
                        type: object
                        properties:
                          appId:
                            type: string
                            minLength: 1
                          appSecret:
                            type: string
                            minLength: 1
                        required:
                          - appId
                          - appSecret
                      id:
                        type: string
                      name:
                        type: string
                    required:
                      - type
                      - config
                      - id
                      - name
                  - type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - oidc
                      config:
                        type: object
                        properties:
                          clientId:
                            type: string
                            minLength: 1
                          clientSecret:
                            type: string
                            minLength: 1
                          authorizationUrl:
                            type: string
                            format: uri
                          tokenUrl:
                            type: string
                            format: uri
                          userInfoUrl:
                            type: string
                            format: uri
                          issuer:
                            type: string
                            format: uri
                        required:
                          - clientId
                          - clientSecret
                          - authorizationUrl
                          - tokenUrl
                          - userInfoUrl
                          - issuer
                      id:
                        type: string
                      name:
                        type: string
                    required:
                      - type
                      - config
                      - id
                      - name
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request POST \
              --url https://app.teable.ai/api/enterprise/%7BorganizationId%7D/authentication \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
              --header 'content-type: application/json' \
              --data '{"type":"feishu","config":{"appId":"string","appSecret":"string"},"id":"string","name":"string"}'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/enterprise/%7BorganizationId%7D/authentication';

            const options = {
              method: 'POST',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              },
              body: '{"type":"feishu","config":{"appId":"string","appSecret":"string"},"id":"string","name":"string"}'
            };


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'POST',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/enterprise/%7BorganizationId%7D/authentication',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.write(JSON.stringify({
              type: 'feishu',
              config: {appId: 'string', appSecret: 'string'},
              id: 'string',
              name: 'string'
            }));
            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            payload =
            "{\"type\":\"feishu\",\"config\":{\"appId\":\"string\",\"appSecret\":\"string\"},\"id\":\"string\",\"name\":\"string\"}"


            headers = {
                'Authorization': "Bearer REPLACE_BEARER_TOKEN",
                'content-type': "application/json"
            }


            conn.request("POST",
            "/api/enterprise/%7BorganizationId%7D/authentication", payload,
            headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````